/* ----------------------------------------------------------------------------
Description:
    Geariscirpti
Parameters:
    _type
    _unit
Returns:
    Ei mitään
Examples:
    ["Sl", this] call compile preprocessFileLineNumbers "loadouts\VMF.sqf";
Author:
    Alkuperäinen Bummeri
    Modifioinut Tuntematon
Scipti Versio:
    v1
    8.4.2018
Geariscriptiä muokattu:
    8.4.2018
---------------------------------------------------------------------------- */
params ["_type","_unit"];

if (!(local _unit)) exitwith {}; // Todella tärkeä. Estää skriptin pyörimisen ei locaaleilla uniteilla

private ["_OrbatinSide", "_Radioit", "_Nightvision", "_VaadittuFunctio_versio", "_GeariFunctiot_Versio"];

/////////////////////////
////////ASETUKSET////////
/////////////////////////
//Vaadittava gearifunctio versio
_VaadittuFunctio_versio = 1;

//Orbatin osapuoli "east", "west" , "guer"
_OrbatinSide = "east";

//Lyhyet radiot kaikille. true/false
_Radioit = true;

//Onko NVG kaikilla. true/false
_Nightvision = false;

//Lisää tähän haluttu NVG classname "ACE_NVG_Gen4"
_item_NV = "ACE_NVG_Gen4";

#include "GeariFunctiot.sqf"
//Muokkaa tätä vastaamaan vaadittavaa gearifunctio tiedostoa
if (_GeariFunctiot_Versio == _VaadittuFunctio_versio) then {player sideChat "Geariscripti vaatii udemman gearifunctiot.sqf"};

/////////////////////////
////////ASETUKSET////////
/////////////////////////



_fnc_TUNaddBasicEquipment = { //PerusTavaroiden functio//
	//Params [_unit, varusteet, kiikarit] call _fnc_TUNaddBasicEquipment;

	params ["_unit", ["_mode", ""], ["_kiikarit", ""]];
	private ["_tavarat"];
	Switch toLower (_mode) do {

		default { //Vakio romut
			_tavarat = [["SmokeShell",2],["HandGrenade",1]];
		};
	};

	//Annetaan valitut tavarat
	[_unit, _tavarat] Call _fnc_TUNaddmagazines;

	Switch toLower (_kiikarit) do {
		Case toLower "kiikari": {
			_unit addWeapon "Binocular";
		};

		Case toLower "range": {
			_unit addWeapon "ACE_Vector";
		};

		Case toLower "laser": {
			_unit addWeapon "Laserdesignator";
			_unit addItem "Laserbatteries";
		};
		default {};
	};
};



_fnc_BUMaddMedicalSupplies = {
	//Params [unit, mode] call _fnc_BUMaddMedicalSupplies;
	params ["_unit", ["_mode", " "]];
	private ["_supplies"];

	Switch (toLower(_mode)) do {


		Case toLower "medic": {
			_unit setVariable ["Ace_medical_medicClass", 2];//Asettaa ace medikin tason
			_supplies = [["ACE_adenosine",1],["ACE_morphine",12],["ACE_epinephrine",8],["ACE_elasticBandage",15],["adv_aceSplint_splint",12],["ACE_tourniquet",6],["ACE_bloodIV",8]]; //Tässä voit muutta mitä medicaali tavaroita kukin saa.
		};

		default {
			_unit setVariable ["Ace_medical_medicClass", 0];//Asettaa ace medikin tason
			_supplies = [["ACE_elasticBandage",4],["ACE_tourniquet",2],["ACE_morphine",1]]; //Tässä voit muutta mitä medicaali tavaroita kukin saa.
		};
	};

	//antaa valitut tavarat. Älä muokkaa
	private ["_item", "_count"];
	{
		_item = _x select 0;
		_count = _x select 1;

		for "_i" from 1 to _count do {
			_unit additem _item;
		};
	} Foreach _supplies;
};


_fnc_TUNchangeWeapons = { //ASEFUNCTIO//


	//Kutsuminen [_unit, "ase", "sinko"] call _fnc_TUNchangeWeapons;
	private [ "_weapons", "_magazines","_weaponitems"];
	params ["_unit",["_weapon", ""],["_Singonvalinta", ""]];
	_weapons = [];
	_magazines = [];
	_weaponitems = [];


///////////////////
//PääaseenValinta//
///////////////////
/*
Listaa ase näin.
_weapons append ["classname"];
Lisää lipas
_magazines append [["lipas1",lippaidenmäärä],["rhs_30Rnd_545x39_AK_green",3]];
Aseiden lisävarusteet
_weaponitems append [["classname","primary/handgun/secondary"],["rhs_acc_dtk","primary"]];
*/

	Switch toLower (_weapon) do {


		////////////
		//Kiväärit//
		////////////

		case toLower "Rif": { //Rynnäkkökivääri
			_ase = selectRandom ["rhs_weap_ak74m", "rhs_weap_ak74m_2mag", "rhs_weap_ak74m_2mag_camo", "rhs_weap_ak74m_camo", "rhs_weap_ak74m_plummag", "rhs_weap_ak74m_fullplum"];
			_tahtain = selectRandom ["", "rhs_acc_1p63", "", "rhs_acc_ekp1", "", "rhs_acc_pkas", ""];
			_weapons append [_ase];
			_magazines append [["rhs_30Rnd_545x39_7N10_AK",6]];
			_weaponitems append [["rhs_acc_dtk","primary"],[_tahtain,"primary"]];
		};

		//////
		//MG//
		//////

		case toLower "MG": { //Raskaammat konekiväärit (PKM, PKP, M240) Natossa 7.62x51, muilla 7.62x54/53
			_weapons append ["rhs_weap_pkp"];
			_magazines append [["rhs_100Rnd_762x54mmR",4]];
			//_weaponitems append [];
		};



		default {};
	};

/////////////////
//SingonValinta//
/////////////////
	Switch toLower (_Singonvalinta) do {

		Case toLower "AT": { //AT = RPG7, SMAW, MAAWS (Raskaat singot)
			_weapons append ["rhs_weap_rpg7"];
			_magazines append [["rhs_rpg7_PG7V_mag",3]];
			_weaponitems append [["rhs_acc_pgo7v3","secondary"]];
		};


		Case toLower "LAT": { //kevyt kertasinko (M72, RPG26, M136)
			_weapons append ["rhs_weap_rpg26"];
			//_magazines append [];
			//_weaponitems append [];
		};


		default {};//Tyhjänä ei ajaa tämä eli ei anna mitään.
	};


	if (count _weapons > 0) then {
		[_unit, _weapons] Call _fnc_BUMaddweapons;
	};

	if (count _magazines > 0) then {
		[_unit, _magazines] Call _fnc_TUNaddmagazines;
	};

	if (count _weaponitems > 0) then {
		[_unit, _weaponitems] Call fnc_TUNaddWeaponItem;
	};
};


_fnc_TUNchangeClothes = { //VAATEFUNCTIO//

	//Kutsuminen [_unit, "puvunvalinta", "liivinvalinta", "repunvalinta"] call _fnc_TUNchangeClothes;
	//Katso vaihtoehdot alempaa case kohdasta. Käytä "" jos haluat defaultin.

	params ["_unit", ["_kypara", ""], ["_puku", ""], ["_liivi", ""], ["_reppu", ""]];

	removeUniform _unit;
    removeVest _unit;
    removeBackpack _unit;
    removeHeadgear _unit;
    removeGoggles _unit;



//////////////////
//Kypäränvalinta//
//////////////////
	switch toLower (_kypara) do {

		Case toLower "Sl": {
			_unit addHeadgear "rhs_6b7_1m";
		};

		default { //Vakio kypärä
			_unit addHeadgear selectRandom ["rhs_6b28","rhs_6b28_ess","rhs_6b28_green_ess_bala","rhs_6b28_bala","rhs_6b28_green","rhs_6b28_ess_bala"];
		};
	};

////////////////
//Puvunvalinta//
////////////////

	_unit forceAddUniform "rhs_uniform_vdv_emr";


/////////////////
//Liivinvalinta//
/////////////////
	switch toLower (_liivi) do {

		Case toLower "Cl": {
			_unit addVest "rhs_vest_commander";
		};

		Case toLower "Sl": {
			_unit addVest "rhs_6b23_digi_6sh92_headset_mapcase";
		};

		Case toLower "Tl": {
			_unit addVest "rhs_6b23_digi_6sh92_radio";
		};

		Case toLower "Medic": {
			_unit addVest "rhs_6b23_digi_medic";
		};

		default { //Vakio liivi
			_unit addVest "rhs_6b23_digi_6sh92";
		};
	};

////////////////
//Repunvalinta//
////////////////
	switch toLower (_reppu) do
	{

		Case toLower "Medic": {
			_unit addBackpack "rhs_medic_bag";
		};

		Case toLower "AT": {
			_unit addBackpack "rhs_rpg_empty";
		};

		Case toLower "Pienireppu": {
			_unit addBackpack "rhs_sidor";
		};

		Case toLower "Mg": {
			_unit addBackpack "B_FieldPack_oli";
		};

		Case toLower "Engineer": {
			_unit addBackpack "rhs_assault_umbts";
		};

		default { //Vakio reppu
		};
	};
};
/*
//Vaate function muuttujat. _fnc_TUNchangeClothes
_Tun_Kypara = ""; //Kypäränvalinta
_Tun_Puku = ""; //Puvunvalinta
_Tun_Liivi = ""; //Liivinvalinta
_Tun_Reppu = ""; //Repunvalinta

//Ase function muuttuja. _fnc_TUNchangeWeapons
_Tun_Aseistus = ""; //Kiväärin valitna
_Tun_Sinko = ""; //Singon valinta

//Perusvaruste functio muutujat. _fnc_TUNaddBasicEquipment
_Tun_Perustavarat = ""; //perustavaroiden valinta
_Tun_Kiikari = ""; /Kiikarien valinta

//Medikaali varuste functio. _fnc_BUMaddMedicalSupplies
_Tun_Medikaali = "";

*/

//Gearin valinta JV ukoille
if (_unit isKindof "Man") then {
	private ["_Tun_Kypara", "_Tun_Puku", "_Tun_Liivi", "_Tun_Reppu", "_Tun_Aseistus", "_Tun_Sinko", "_Tun_Perustavarat", "_Tun_Kiikari", "_Tun_Medikaali"];
	Switch toLower(_type) do {


		Case toLower "SL": { //Ryhmän johtaja
			//Vaatteet
			_Tun_Kypara = "Sl";
			_Tun_Puku = "";
			_Tun_Liivi = "Sl";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Rif";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "Johtaja";
			_Tun_Kiikari = "Kiikari";
			_Tun_Medikaali = "";
		};


		//////////////////
		//Machinegunners//
		//////////////////

		Case toLower "MG": {
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "Mg";

			//aseet
			_Tun_Aseistus = "Mg";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};


		////////////
		//Perus jv//
		////////////


		Case toLower "Rif": {
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Rif";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};

		///////////
		//Medikit//
		///////////

		Case toLower "Medic": { //Joukkueen tai isompi.
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "Medic";

			//aseet
			_Tun_Aseistus = "Rif";
			_Tun_Sinko = "";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "medic";
		};


		/////////////////////
		//PST & Muut singot//
		/////////////////////

		Case toLower "AT": { //Raskas Sinko (SMAW,RPG)
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "at";

			//aseet
			_Tun_Aseistus = "Rif";
			_Tun_Sinko = "AT";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};


		Case toLower "RifAT": { //KES taistelija
			//Vaatteet
			_Tun_Kypara = "";
			_Tun_Puku = "";
			_Tun_Liivi = "";
			_Tun_Reppu = "";

			//aseet
			_Tun_Aseistus = "Rif";
			_Tun_Sinko = "LAT";

			//varusteet
			_Tun_Perustavarat = "";
			_Tun_Kiikari = "";
			_Tun_Medikaali = "";
		};




		default {
			removeUniform _unit;
		    removeVest _unit;
		    removeBackpack _unit;
		    removeHeadgear _unit;
		    removeGoggles _unit;
		};
	};

	//Kutsutaan varustefunctiot yksikölle.
	[_unit, _Tun_Kypara, _Tun_Puku, _Tun_Liivi, _Tun_Reppu] call _fnc_TUNchangeClothes;
	[_unit, _Tun_Aseistus, _Tun_Sinko] call _fnc_TUNchangeWeapons;
	[_unit, _Tun_Medikaali] Call _fnc_BUMaddMedicalSupplies;
	[_unit, _Tun_Perustavarat, _Tun_Kiikari] call _fnc_TUNaddBasicEquipment;
};





	/////////////////////////
	//Ajoneuvot ja Laatikot//
	/////////////////////////

if (_unit isKindof "LandVehicle" || _unit isKindof "Air" || _unit isKindOf "Ship" || _unit isKindOf "Static" || _unit isKindOf "thing") then {
	Switch toLower(_type) do {

		Case toLower "Auto": { //perus
			_unit addMagazineCargoGlobal ["rhs_30Rnd_545x39_7N10_AK", 6];
			_unit addMagazineCargoGlobal ["rhs_100Rnd_762x54mmR",2];
			_unit addItemCargoGlobal ["ACE_wirecutter",2];
			_unit addItemCargoGlobal ["ACE_bodyBag",10];
			_unit addItemCargoGlobal ["ACE_bloodIV",5];
			_unit addItemCargoGlobal ["ACE_Sandbag_empty",50];
		};

		Case toLower "Laatikko": { //perus
			_unit addMagazineCargoGlobal ["rhs_30Rnd_545x39_7N10_AK", 6];
			_unit addMagazineCargoGlobal ["rhs_100Rnd_762x54mmR",2];
			_unit addItemCargoGlobal ["ACE_wirecutter",2];
			_unit addItemCargoGlobal ["ACE_bodyBag",10];
			_unit addItemCargoGlobal ["ACE_bloodIV",5];
			_unit addItemCargoGlobal ["ACE_Sandbag_empty",50];
		};

		Case toLower "Rekka": { //perus
			_unit addMagazineCargoGlobal ["rhs_30Rnd_545x39_7N10_AK", 6];
			_unit addMagazineCargoGlobal ["rhs_100Rnd_762x54mmR",2];
			_unit addItemCargoGlobal ["ACE_wirecutter",2];
			_unit addItemCargoGlobal ["ACE_bodyBag",10];
			_unit addItemCargoGlobal ["ACE_bloodIV",5];
			_unit addItemCargoGlobal ["ACE_Sandbag_empty",50];
		};

		default{};
	};
};
